Skip to main content
GET
/
v2
/
api
Get Block Transaction Counts by Block Number
curl --request GET \
  --url https://api.etherscan.io/v2/api
import requests

url = "https://api.etherscan.io/v2/api"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.etherscan.io/v2/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "1",
  "message": "OK",
  "result": {
    "block": 24884529,
    "txsCount": 87,
    "internalTxsCount": 55,
    "erc20TxsCount": 103,
    "erc721TxsCount": 1,
    "erc1155TxsCount": 0
  }
}
Ethereum

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum from our supported chains.
module
string
default:"block"
Set to block for this endpoint.
action
string
default:"getblocktxnscount"
Set to getblocktxnscount for this endpoint.
blockno
integer
default:"24884529"
Block number to check transaction counts for.

Response

status
string
Returns 1 when the request succeeds.
message
string
Returns the request status message.
result
object
Contains the transaction counts for the requested block.
{
  "status": "1",
  "message": "OK",
  "result": {
    "block": 24884529,
    "txsCount": 87,
    "internalTxsCount": 55,
    "erc20TxsCount": 103,
    "erc721TxsCount": 1,
    "erc1155TxsCount": 0
  }
}